Subject: bug#75184: Merge haskell-ts-mode to master

From: Stefan Kangas <[email-masked]>
Date: Sat, 1 Mar 2025 20:19:37 -0800

Pranshu Sharma <[email-masked]> writes:

> Hello all,
>
> This is request to merge haskell-ts-mode to master.  The code is here
> https://codeberg.org/pranshu/haskell-ts-mode , but I also attacched
> file.  I suggest you look in codeberg repo for latest changes.
>
> Phillip kauldarlic has done a review of the non-treesit specific part of
> the code in emacs-devel, *I need someone* to review treesit specific
> parts of it now.

Yuan, could you please take a look at this and install it if it looks
okay?

Thanks in advance.